Ubuntu 9.10 / 10.04 LTS / 10.10 : apparmor update (USN-1039-1)

High Nessus Plugin ID 51436


The remote Ubuntu host is missing one or more security-related patches.


It was discovered that if AppArmor was misconfigured, under certain circumstances the parser could generate policy using an unconfined fallback execute transition when one was not specified.

Note that Tenable Network Security has extracted the preceding description block directly from the Ubuntu security advisory. Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.


Update the affected packages.

Plugin Details

Severity: High

ID: 51436

File Name: ubuntu_USN-1039-1.nasl

Version: $Revision: 1.6 $

Type: local

Agent: unix

Published: 2011/01/07

Modified: 2016/05/27

Dependencies: 12634

Risk Information

Risk Factor: High

Vulnerability Information

CPE: p-cpe:/a:canonical:ubuntu_linux:apparmor, p-cpe:/a:canonical:ubuntu_linux:apparmor-docs, p-cpe:/a:canonical:ubuntu_linux:apparmor-notify, p-cpe:/a:canonical:ubuntu_linux:apparmor-profiles, p-cpe:/a:canonical:ubuntu_linux:apparmor-utils, p-cpe:/a:canonical:ubuntu_linux:libapache2-mod-apparmor, p-cpe:/a:canonical:ubuntu_linux:libapparmor-dev, p-cpe:/a:canonical:ubuntu_linux:libapparmor-perl, p-cpe:/a:canonical:ubuntu_linux:libapparmor1, p-cpe:/a:canonical:ubuntu_linux:libpam-apparmor, cpe:/o:canonical:ubuntu_linux:10.04:-:lts, cpe:/o:canonical:ubuntu_linux:10.10, cpe:/o:canonical:ubuntu_linux:9.10

Required KB Items: Host/cpu, Host/Ubuntu, Host/Ubuntu/release, Host/Debian/dpkg-l

Patch Publication Date: 2011/01/06

Reference Information

USN: 1039-1